/*
   MicroMDAEPiano

   MicroMDAEPiano is a port of the MDA-EPiano sound engine
   (https://sourceforge.net/projects/mda-vst/) for the Teensy-3.5/3.6 with audio shield.

   (c)2019 H. Wirtz <wirtz@parasitstudio.de>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software Foundation,
   Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA
*/

#ifndef UI_H_INCLUDED
#define UI_H_INCLUDED

#include "config.h"
#include "LiquidCrystalPlus_I2C.h"
#include <Bounce.h>
#include "Encoder4.h"

class UI
{
  public:
    UI();
    ~UI();
    
  private:
    LiquidCrystalPlus_I2C lcd;
    Encoder4 enc[2];
    int32_t enc_val[2];
    Bounce but[2];
}
#endif
